For the complete documentation index, see llms.txt. This page is also available as Markdown.

generator/create

How to create a presentation

Use this endpoint to create a new presentation from a .pptx template file and JSON data.

generator/create

POST https://gen.powerpointgeneratorapi.com/v1.0/generator/create

Headers

Name
Type
Description

Content-Type*

String

multipart/form-data

Authorization*

String

Bearer authentication token

Request Body

Name
Type
Description

files*

File or array of files

.pptx file(s)

jsonData*

String

JSON data

On success, the API returns the generated file as a binary stream (not JSON).

Header
Description

Content-Type

Matches the requested output format

Content-Disposition

Attachment; filename={filename}

Save the response body directly to a file to get the presentation.

Returns a JSON error object describing what was invalid.

{
    "statusCode": 400,
    "message": "Invalid input parameters",
    "details": "{more information}",
}
{
  "statusCode": 401,
  "message": "Unauthorized",
  "detail": "The bearer token is missing, expired, or invalid."
}
{
  "statusCode": 429,
  "message": "Too Many Requests - usage or rate limit exceeded",
  "detail": "Too many requests: monthly slide limit exceeded."
}

Example request

Dummy PowerPoint template used in examples below:

  1. Select the Authorization tab, enter your Token .

  2. Select the Body tab, select form-data , add the two key-value parameters below:

    KEY
    VALUE

    files

    upload/ attach your .pptx file

    jsonData

    copy and paste the data from your .json payload

  1. Click the down arrow next to Send then select Send and Download . Once the result is successfully received, save the output as .pptx.

Last updated